Page MenuHomePhabricator

Use new modular temporary auth token constants in one-time login and password reset flows
ClosedPublic

Authored by epriestley on Mar 16 2016, 12:37 PM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Jul 1, 5:05 PM
Unknown Object (File)
Wed, Jun 29, 12:44 PM
Unknown Object (File)
Sat, Jun 25, 11:25 AM
Unknown Object (File)
Sun, Jun 12, 5:46 PM
Unknown Object (File)
Thu, Jun 9, 11:08 PM
Unknown Object (File)
May 28 2022, 10:29 AM
Unknown Object (File)
May 26 2022, 8:40 AM
Unknown Object (File)
Apr 13 2017, 5:33 PM
Subscribers
None

Details

Summary

Ref T10603. This converts existing hard-codes to modular constants.

Also removes one small piece of code duplication.

Test Plan
  • Performed one-time logins.
  • Performed a password reset.
  • Verified temporary tokens were revoked properly.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

epriestley retitled this revision from to Use new modular temporary auth token constants in one-time login and password reset flows.
epriestley updated this object.
epriestley edited the test plan for this revision. (Show Details)
epriestley added a reviewer: chad.
chad edited edge metadata.
This revision is now accepted and ready to land.Mar 16 2016, 3:08 PM
This revision was automatically updated to reflect the committed changes.